<!doctype html>
<html lang="en">

<head>
  <title>Temperature Converter</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS v5.2.1 -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">
  <!-- Bootstrap Icon v1.10.0-->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">

</head>

<body class="bg-success">
  <div class="container-fluid d-flex justify-content-center flex-column col-lg-4 col-md-6 row-sm-10 mt-5">
    <div class="h3">
      <span class="p-2" style="background-color: #46b7f6;">HTML CSS & JAVASCRIPT</span>
    </div>
    <div class="h1" style="font-weight: 700; color:white;">
      <span style="font-size: 35px;">TEMPERATURE CONVERSION<i class="bi-thermometer-half" style="font-size:60px;"></i></span>
      
    </div>
    <div class="container-lg d-flex p-5 rounded-3" style="background-color: white;">
      <div class="row p-4">
          <span class="text-start p-0 pb-2">Celsius</span>
          <input class="p-2 border border-1 border-dark rounded-1" type="text" id="celsius" placeholder="°C">
      </div>
      <div class="row p-4">
          <span class="text-start p-0 pb-2">Fahrenheit</span>
          <input class="p-2 border border-1 border-dark rounded-1" type="text" id="fahrenheit" placeholder="°F">
      </div>
    </div>
  </div>

  
  <script type="text/javascript">
    
    function CelsiusToFahrenheit(celsius){
        const C_result = (celsius * 1.8) + 32;
        return C_result;
    }
    
    function FahrenheitToCelsius(fahrenheit){ 
        const F_result = (F -32) * (5/6);
        return F_result;
        
    }

    document.getElementById('celsius').onkeyup = function () {
        document.getElementById('fahrenheit').value = CelsiusToFahrenheit(Number(document.getElementById('celsius').value)) + " °F";
    };
    document.getElementById('fahrenheit').onkeyup = function () {
        document.getElementById('celsius').value = CelsiusToFahrenheit(Number(document.getElementById('fahrenheit').value)) + " °C";
    };
  </script>
  <!-- Bootstrap JavaScript Libraries -->
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
    integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous">
  </script>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.min.js"
    integrity="sha384-7VPbUDkoPSGFnVtYi0QogXtr74QeVeeIs99Qfg5YCF+TidwNdjvaKZX19NZ/e6oz" crossorigin="anonymous">
  </script>
</body>

</html>